'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListHeading = exports.ListItem = exports.List = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactNative = require('react-native');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var List = function (_Component) {
  _inherits(List, _Component);

  function List() {
    _classCallCheck(this, List);

    return _possibleConstructorReturn(this, (List.__proto__ || Object.getPrototypeOf(List)).apply(this, arguments));
  }

  _createClass(List, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _reactNative.View,
        { style: { padding: 20 } },
        this.props.children
      );
    }
  }]);

  return List;
}(_react.Component);

var ListItem = function (_Component2) {
  _inherits(ListItem, _Component2);

  function ListItem() {
    _classCallCheck(this, ListItem);

    return _possibleConstructorReturn(this, (ListItem.__proto__ || Object.getPrototypeOf(ListItem)).apply(this, arguments));
  }

  _createClass(ListItem, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _reactNative.View,
        { style: { paddingBottom: 20, display: 'flex', flexDirection: 'row' } },
        _react2.default.createElement(
          _reactNative.Text,
          null,
          this.props.text
        )
      );
    }
  }]);

  return ListItem;
}(_react.Component);

var ListHeading = function (_Component3) {
  _inherits(ListHeading, _Component3);

  function ListHeading() {
    _classCallCheck(this, ListHeading);

    return _possibleConstructorReturn(this, (ListHeading.__proto__ || Object.getPrototypeOf(ListHeading)).apply(this, arguments));
  }

  _createClass(ListHeading, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _reactNative.Text,
        null,
        this.props.text
      );
    }
  }]);

  return ListHeading;
}(_react.Component);

exports.List = List;
exports.ListItem = ListItem;
exports.ListHeading = ListHeading;