import React, {Component} from "react";
import { View, Text } from 'react-native';

class List extends Component {
  render() {
    return (
      <View style={{padding: 20}}>
        {this.props.children}
      </View>
    );
  }
}

class ListItem extends Component {
  render() {
    return (
      <View style={{paddingBottom: 20, display: 'flex', flexDirection: 'row'}}>
        <Text>{this.props.text}</Text>
      </View>
    );
  }
}

class ListHeading extends Component {
  render() {
    return (
      <Text>{this.props.text}</Text>
    );
  }
}


export {List, ListItem, ListHeading}
